import{s as Cl,n as wl,o as xl}from"../chunks/scheduler.0219f8bd.js";import{S as Sl,i as yl,g as o,s as i,r as p,A as Bl,h as a,f as l,c as s,j as _,u as m,x as r,k as d,y as Pl,a as n,v as f,d as v,t as u,w as c}from"../chunks/index.f61edf3b.js";import{C as Yt}from"../chunks/CodeBlock.38e566ae.js";import{H as h,E as Wl}from"../chunks/EditOnGithub.48fa589f.js";function Hl(Qt){let $,Ie,Ae,be,E,Le,A,Ce,T,qt="Module used to configure Transformers.js.",we,I,Xt="<strong>Example:</strong> Disable remote models.",xe,b,Se,L,el="<strong>Example:</strong> Set local model path.",ye,C,Be,w,tl="<strong>Example:</strong> Set cache directory.",Pe,x,We,S,ll='<li><a href="#module_env">env</a><ul><li><em>static</em><ul><li><a href="#module_env.apis"><code>.apis</code></a></li> <li><a href="#module_env.env"><code>.env</code></a> : <code>TransformersEnvironment</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_env..IS_BROWSER_ENV"><code>~IS_BROWSER_ENV</code></a></li> <li><a href="#module_env..IS_WEBWORKER_ENV"><code>~IS_WEBWORKER_ENV</code></a></li> <li><a href="#module_env..IS_WEB_CACHE_AVAILABLE"><code>~IS_WEB_CACHE_AVAILABLE</code></a></li> <li><a href="#module_env..IS_WEBGPU_AVAILABLE"><code>~IS_WEBGPU_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PROCESS_AVAILABLE"><code>~IS_PROCESS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_NODE_ENV"><code>~IS_NODE_ENV</code></a></li> <li><a href="#module_env..IS_FS_AVAILABLE"><code>~IS_FS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PATH_AVAILABLE"><code>~IS_PATH_AVAILABLE</code></a></li> <li><a href="#module_env..TransformersEnvironment"><code>~TransformersEnvironment</code></a> : <code>Object</code></li></ul></li></ul></li>',He,Je,Me,y,je,B,Re,P,nl="A read-only object containing information about the APIs available in the current environment.",ge,W,il='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Ve,Ne,ke,H,Oe,J,Ze,M,sl='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Ue,ze,Ge,j,Fe,R,Ke,g,ol="Whether we are running in a browser environment",De,V,al='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ye,Qe,qe,N,Xe,k,et,O,rl="Whether we are running in a web worker environment",tt,Z,dl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',lt,nt,it,U,st,z,ot,G,pl="Whether the Cache API is available",at,F,ml='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',rt,dt,pt,K,mt,D,ft,Y,fl="Whether the WebGPU API is available",vt,Q,vl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',ut,ct,_t,q,ht,X,$t,ee,ul="Whether the Node.js process API is available",Et,te,cl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',At,Tt,It,le,bt,ne,Lt,ie,_l="Whether we are running in a Node.js environment",Ct,se,hl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',wt,xt,St,oe,yt,ae,Bt,re,$l="Whether the filesystem API is available",Pt,de,El='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Wt,Ht,Jt,pe,Mt,me,jt,fe,Al="Whether the path API is available",Rt,ve,Tl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',gt,Vt,Nt,ue,kt,ce,Ot,_e,Il="Global variable given visible to users to control execution. This provides users a simple way to configure Transformers.js.",Zt,he,bl='<strong>Kind</strong>: inner typedef of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',Ut,$e,Ll=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>false</code> if running in-browser, and <code>true</code> otherwise.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,zt,Gt,Ft,Ee,Kt,Te,Dt;return A=new h({props:{title:"env",local:"env",headingTag:"h1"}}),b=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),C=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),x=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),B=new h({props:{title:"env.apis",local:"envapis",headingTag:"h2"}}),J=new h({props:{title:"env.env : <code> TransformersEnvironment </code>",local:"envenv--code-transformersenvironment-code",headingTag:"h2"}}),R=new h({props:{title:"env~IS_BROWSER_ENV",local:"envisbrowserenv",headingTag:"h2"}}),k=new h({props:{title:"env~IS_WEBWORKER_ENV",local:"enviswebworkerenv",headingTag:"h2"}}),z=new h({props:{title:"env~IS_WEB_CACHE_AVAILABLE",local:"enviswebcacheavailable",headingTag:"h2"}}),D=new h({props:{title:"env~IS_WEBGPU_AVAILABLE",local:"enviswebgpuavailable",headingTag:"h2"}}),X=new h({props:{title:"env~IS_PROCESS_AVAILABLE",local:"envisprocessavailable",headingTag:"h2"}}),ne=new h({props:{title:"env~IS_NODE_ENV",local:"envisnodeenv",headingTag:"h2"}}),ae=new h({props:{title:"env~IS_FS_AVAILABLE",local:"envisfsavailable",headingTag:"h2"}}),me=new h({props:{title:"env~IS_PATH_AVAILABLE",local:"envispathavailable",headingTag:"h2"}}),ce=new h({props:{title:"env~TransformersEnvironment : <code> Object </code>",local:"envtransformersenvironment--code-object-code",headingTag:"h2"}}),Ee=new Wl({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/env.md"}}),{c(){$=o("meta"),Ie=i(),Ae=o("p"),be=i(),E=o("a"),Le=i(),p(A.$$.fragment),Ce=i(),T=o("p"),T.textContent=qt,we=i(),I=o("p"),I.innerHTML=Xt,xe=i(),p(b.$$.fragment),Se=i(),L=o("p"),L.innerHTML=el,ye=i(),p(C.$$.fragment),Be=i(),w=o("p"),w.innerHTML=tl,Pe=i(),p(x.$$.fragment),We=i(),S=o("ul"),S.innerHTML=ll,He=i(),Je=o("hr"),Me=i(),y=o("a"),je=i(),p(B.$$.fragment),Re=i(),P=o("p"),P.textContent=nl,ge=i(),W=o("p"),W.innerHTML=il,Ve=i(),Ne=o("hr"),ke=i(),H=o("a"),Oe=i(),p(J.$$.fragment),Ze=i(),M=o("p"),M.innerHTML=sl,Ue=i(),ze=o("hr"),Ge=i(),j=o("a"),Fe=i(),p(R.$$.fragment),Ke=i(),g=o("p"),g.textContent=ol,De=i(),V=o("p"),V.innerHTML=al,Ye=i(),Qe=o("hr"),qe=i(),N=o("a"),Xe=i(),p(k.$$.fragment),et=i(),O=o("p"),O.textContent=rl,tt=i(),Z=o("p"),Z.innerHTML=dl,lt=i(),nt=o("hr"),it=i(),U=o("a"),st=i(),p(z.$$.fragment),ot=i(),G=o("p"),G.textContent=pl,at=i(),F=o("p"),F.innerHTML=ml,rt=i(),dt=o("hr"),pt=i(),K=o("a"),mt=i(),p(D.$$.fragment),ft=i(),Y=o("p"),Y.textContent=fl,vt=i(),Q=o("p"),Q.innerHTML=vl,ut=i(),ct=o("hr"),_t=i(),q=o("a"),ht=i(),p(X.$$.fragment),$t=i(),ee=o("p"),ee.textContent=ul,Et=i(),te=o("p"),te.innerHTML=cl,At=i(),Tt=o("hr"),It=i(),le=o("a"),bt=i(),p(ne.$$.fragment),Lt=i(),ie=o("p"),ie.textContent=_l,Ct=i(),se=o("p"),se.innerHTML=hl,wt=i(),xt=o("hr"),St=i(),oe=o("a"),yt=i(),p(ae.$$.fragment),Bt=i(),re=o("p"),re.textContent=$l,Pt=i(),de=o("p"),de.innerHTML=El,Wt=i(),Ht=o("hr"),Jt=i(),pe=o("a"),Mt=i(),p(me.$$.fragment),jt=i(),fe=o("p"),fe.textContent=Al,Rt=i(),ve=o("p"),ve.innerHTML=Tl,gt=i(),Vt=o("hr"),Nt=i(),ue=o("a"),kt=i(),p(ce.$$.fragment),Ot=i(),_e=o("p"),_e.textContent=Il,Zt=i(),he=o("p"),he.innerHTML=bl,Ut=i(),$e=o("table"),$e.innerHTML=Ll,zt=i(),Gt=o("hr"),Ft=i(),p(Ee.$$.fragment),Kt=i(),Te=o("p"),this.h()},l(e){const t=Bl("svelte-u9bgzb",document.head);$=a(t,"META",{name:!0,content:!0}),t.forEach(l),Ie=s(e),Ae=a(e,"P",{}),_(Ae).forEach(l),be=s(e),E=a(e,"A",{id:!0,class:!0}),_(E).forEach(l),Le=s(e),m(A.$$.fragment,e),Ce=s(e),T=a(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-14jubvb"&&(T.textContent=qt),we=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-ooim1v"&&(I.innerHTML=Xt),xe=s(e),m(b.$$.fragment,e),Se=s(e),L=a(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1rbhmcc"&&(L.innerHTML=el),ye=s(e),m(C.$$.fragment,e),Be=s(e),w=a(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-13xd89q"&&(w.innerHTML=tl),Pe=s(e),m(x.$$.fragment,e),We=s(e),S=a(e,"UL",{"data-svelte-h":!0}),r(S)!=="svelte-11z52ev"&&(S.innerHTML=ll),He=s(e),Je=a(e,"HR",{}),Me=s(e),y=a(e,"A",{id:!0,class:!0}),_(y).forEach(l),je=s(e),m(B.$$.fragment,e),Re=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-3i2dk3"&&(P.textContent=nl),ge=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-g17yg2"&&(W.innerHTML=il),Ve=s(e),Ne=a(e,"HR",{}),ke=s(e),H=a(e,"A",{id:!0,class:!0}),_(H).forEach(l),Oe=s(e),m(J.$$.fragment,e),Ze=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-g17yg2"&&(M.innerHTML=sl),Ue=s(e),ze=a(e,"HR",{}),Ge=s(e),j=a(e,"A",{id:!0,class:!0}),_(j).forEach(l),Fe=s(e),m(R.$$.fragment,e),Ke=s(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1u9p87f"&&(g.textContent=ol),De=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-136zjuj"&&(V.innerHTML=al),Ye=s(e),Qe=a(e,"HR",{}),qe=s(e),N=a(e,"A",{id:!0,class:!0}),_(N).forEach(l),Xe=s(e),m(k.$$.fragment,e),et=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1yxpxh"&&(O.textContent=rl),tt=s(e),Z=a(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-136zjuj"&&(Z.innerHTML=dl),lt=s(e),nt=a(e,"HR",{}),it=s(e),U=a(e,"A",{id:!0,class:!0}),_(U).forEach(l),st=s(e),m(z.$$.fragment,e),ot=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-10rfojt"&&(G.textContent=pl),at=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-136zjuj"&&(F.innerHTML=ml),rt=s(e),dt=a(e,"HR",{}),pt=s(e),K=a(e,"A",{id:!0,class:!0}),_(K).forEach(l),mt=s(e),m(D.$$.fragment,e),ft=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1rg36ch"&&(Y.textContent=fl),vt=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-136zjuj"&&(Q.innerHTML=vl),ut=s(e),ct=a(e,"HR",{}),_t=s(e),q=a(e,"A",{id:!0,class:!0}),_(q).forEach(l),ht=s(e),m(X.$$.fragment,e),$t=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1bn7tmv"&&(ee.textContent=ul),Et=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-136zjuj"&&(te.innerHTML=cl),At=s(e),Tt=a(e,"HR",{}),It=s(e),le=a(e,"A",{id:!0,class:!0}),_(le).forEach(l),bt=s(e),m(ne.$$.fragment,e),Lt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-4r0hfy"&&(ie.textContent=_l),Ct=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-136zjuj"&&(se.innerHTML=hl),wt=s(e),xt=a(e,"HR",{}),St=s(e),oe=a(e,"A",{id:!0,class:!0}),_(oe).forEach(l),yt=s(e),m(ae.$$.fragment,e),Bt=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-13lrs7s"&&(re.textContent=$l),Pt=s(e),de=a(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-136zjuj"&&(de.innerHTML=El),Wt=s(e),Ht=a(e,"HR",{}),Jt=s(e),pe=a(e,"A",{id:!0,class:!0}),_(pe).forEach(l),Mt=s(e),m(me.$$.fragment,e),jt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-1ncyrvw"&&(fe.textContent=Al),Rt=s(e),ve=a(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-136zjuj"&&(ve.innerHTML=Tl),gt=s(e),Vt=a(e,"HR",{}),Nt=s(e),ue=a(e,"A",{id:!0,class:!0}),_(ue).forEach(l),kt=s(e),m(ce.$$.fragment,e),Ot=s(e),_e=a(e,"P",{"data-svelte-h":!0}),r(_e)!=="svelte-1ijjkph"&&(_e.textContent=Il),Zt=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-1k5edin"&&(he.innerHTML=bl),Ut=s(e),$e=a(e,"TABLE",{"data-svelte-h":!0}),r($e)!=="svelte-8iw6t3"&&($e.innerHTML=Ll),zt=s(e),Gt=a(e,"HR",{}),Ft=s(e),m(Ee.$$.fragment,e),Kt=s(e),Te=a(e,"P",{}),_(Te).forEach(l),this.h()},h(){d($,"name","hf:doc:metadata"),d($,"content",Jl),d(E,"id","module_env"),d(E,"class","group"),d(y,"id","module_env.apis"),d(y,"class","group"),d(H,"id","module_env.env"),d(H,"class","group"),d(j,"id","module_env..IS_BROWSER_ENV"),d(j,"class","group"),d(N,"id","module_env..IS_WEBWORKER_ENV"),d(N,"class","group"),d(U,"id","module_env..IS_WEB_CACHE_AVAILABLE"),d(U,"class","group"),d(K,"id","module_env..IS_WEBGPU_AVAILABLE"),d(K,"class","group"),d(q,"id","module_env..IS_PROCESS_AVAILABLE"),d(q,"class","group"),d(le,"id","module_env..IS_NODE_ENV"),d(le,"class","group"),d(oe,"id","module_env..IS_FS_AVAILABLE"),d(oe,"class","group"),d(pe,"id","module_env..IS_PATH_AVAILABLE"),d(pe,"class","group"),d(ue,"id","module_env..TransformersEnvironment"),d(ue,"class","group")},m(e,t){Pl(document.head,$),n(e,Ie,t),n(e,Ae,t),n(e,be,t),n(e,E,t),n(e,Le,t),f(A,e,t),n(e,Ce,t),n(e,T,t),n(e,we,t),n(e,I,t),n(e,xe,t),f(b,e,t),n(e,Se,t),n(e,L,t),n(e,ye,t),f(C,e,t),n(e,Be,t),n(e,w,t),n(e,Pe,t),f(x,e,t),n(e,We,t),n(e,S,t),n(e,He,t),n(e,Je,t),n(e,Me,t),n(e,y,t),n(e,je,t),f(B,e,t),n(e,Re,t),n(e,P,t),n(e,ge,t),n(e,W,t),n(e,Ve,t),n(e,Ne,t),n(e,ke,t),n(e,H,t),n(e,Oe,t),f(J,e,t),n(e,Ze,t),n(e,M,t),n(e,Ue,t),n(e,ze,t),n(e,Ge,t),n(e,j,t),n(e,Fe,t),f(R,e,t),n(e,Ke,t),n(e,g,t),n(e,De,t),n(e,V,t),n(e,Ye,t),n(e,Qe,t),n(e,qe,t),n(e,N,t),n(e,Xe,t),f(k,e,t),n(e,et,t),n(e,O,t),n(e,tt,t),n(e,Z,t),n(e,lt,t),n(e,nt,t),n(e,it,t),n(e,U,t),n(e,st,t),f(z,e,t),n(e,ot,t),n(e,G,t),n(e,at,t),n(e,F,t),n(e,rt,t),n(e,dt,t),n(e,pt,t),n(e,K,t),n(e,mt,t),f(D,e,t),n(e,ft,t),n(e,Y,t),n(e,vt,t),n(e,Q,t),n(e,ut,t),n(e,ct,t),n(e,_t,t),n(e,q,t),n(e,ht,t),f(X,e,t),n(e,$t,t),n(e,ee,t),n(e,Et,t),n(e,te,t),n(e,At,t),n(e,Tt,t),n(e,It,t),n(e,le,t),n(e,bt,t),f(ne,e,t),n(e,Lt,t),n(e,ie,t),n(e,Ct,t),n(e,se,t),n(e,wt,t),n(e,xt,t),n(e,St,t),n(e,oe,t),n(e,yt,t),f(ae,e,t),n(e,Bt,t),n(e,re,t),n(e,Pt,t),n(e,de,t),n(e,Wt,t),n(e,Ht,t),n(e,Jt,t),n(e,pe,t),n(e,Mt,t),f(me,e,t),n(e,jt,t),n(e,fe,t),n(e,Rt,t),n(e,ve,t),n(e,gt,t),n(e,Vt,t),n(e,Nt,t),n(e,ue,t),n(e,kt,t),f(ce,e,t),n(e,Ot,t),n(e,_e,t),n(e,Zt,t),n(e,he,t),n(e,Ut,t),n(e,$e,t),n(e,zt,t),n(e,Gt,t),n(e,Ft,t),f(Ee,e,t),n(e,Kt,t),n(e,Te,t),Dt=!0},p:wl,i(e){Dt||(v(A.$$.fragment,e),v(b.$$.fragment,e),v(C.$$.fragment,e),v(x.$$.fragment,e),v(B.$$.fragment,e),v(J.$$.fragment,e),v(R.$$.fragment,e),v(k.$$.fragment,e),v(z.$$.fragment,e),v(D.$$.fragment,e),v(X.$$.fragment,e),v(ne.$$.fragment,e),v(ae.$$.fragment,e),v(me.$$.fragment,e),v(ce.$$.fragment,e),v(Ee.$$.fragment,e),Dt=!0)},o(e){u(A.$$.fragment,e),u(b.$$.fragment,e),u(C.$$.fragment,e),u(x.$$.fragment,e),u(B.$$.fragment,e),u(J.$$.fragment,e),u(R.$$.fragment,e),u(k.$$.fragment,e),u(z.$$.fragment,e),u(D.$$.fragment,e),u(X.$$.fragment,e),u(ne.$$.fragment,e),u(ae.$$.fragment,e),u(me.$$.fragment,e),u(ce.$$.fragment,e),u(Ee.$$.fragment,e),Dt=!1},d(e){e&&(l(Ie),l(Ae),l(be),l(E),l(Le),l(Ce),l(T),l(we),l(I),l(xe),l(Se),l(L),l(ye),l(Be),l(w),l(Pe),l(We),l(S),l(He),l(Je),l(Me),l(y),l(je),l(Re),l(P),l(ge),l(W),l(Ve),l(Ne),l(ke),l(H),l(Oe),l(Ze),l(M),l(Ue),l(ze),l(Ge),l(j),l(Fe),l(Ke),l(g),l(De),l(V),l(Ye),l(Qe),l(qe),l(N),l(Xe),l(et),l(O),l(tt),l(Z),l(lt),l(nt),l(it),l(U),l(st),l(ot),l(G),l(at),l(F),l(rt),l(dt),l(pt),l(K),l(mt),l(ft),l(Y),l(vt),l(Q),l(ut),l(ct),l(_t),l(q),l(ht),l($t),l(ee),l(Et),l(te),l(At),l(Tt),l(It),l(le),l(bt),l(Lt),l(ie),l(Ct),l(se),l(wt),l(xt),l(St),l(oe),l(yt),l(Bt),l(re),l(Pt),l(de),l(Wt),l(Ht),l(Jt),l(pe),l(Mt),l(jt),l(fe),l(Rt),l(ve),l(gt),l(Vt),l(Nt),l(ue),l(kt),l(Ot),l(_e),l(Zt),l(he),l(Ut),l($e),l(zt),l(Gt),l(Ft),l(Kt),l(Te)),l($),c(A,e),c(b,e),c(C,e),c(x,e),c(B,e),c(J,e),c(R,e),c(k,e),c(z,e),c(D,e),c(X,e),c(ne,e),c(ae,e),c(me,e),c(ce,e),c(Ee,e)}}}const Jl='{"title":"env","local":"env","sections":[{"title":"env.apis","local":"envapis","sections":[],"depth":2},{"title":"env.env : <code> TransformersEnvironment </code>","local":"envenv--code-transformersenvironment-code","sections":[],"depth":2},{"title":"env~IS_BROWSER_ENV","local":"envisbrowserenv","sections":[],"depth":2},{"title":"env~IS_WEBWORKER_ENV","local":"enviswebworkerenv","sections":[],"depth":2},{"title":"env~IS_WEB_CACHE_AVAILABLE","local":"enviswebcacheavailable","sections":[],"depth":2},{"title":"env~IS_WEBGPU_AVAILABLE","local":"enviswebgpuavailable","sections":[],"depth":2},{"title":"env~IS_PROCESS_AVAILABLE","local":"envisprocessavailable","sections":[],"depth":2},{"title":"env~IS_NODE_ENV","local":"envisnodeenv","sections":[],"depth":2},{"title":"env~IS_FS_AVAILABLE","local":"envisfsavailable","sections":[],"depth":2},{"title":"env~IS_PATH_AVAILABLE","local":"envispathavailable","sections":[],"depth":2},{"title":"env~TransformersEnvironment : <code> Object </code>","local":"envtransformersenvironment--code-object-code","sections":[],"depth":2}],"depth":1}';function Ml(Qt){return xl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nl extends Sl{constructor($){super(),yl(this,$,Ml,Hl,Cl,{})}}export{Nl as component};
